<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('rekapantibiotik', function (Blueprint $table) {
            $table->id();
            $table->string('antibiotic', 150)->nullable();
            $table->string('resistance', 150)->nullable();
            $table->string('value', 150)->nullable();
            $table->string('interpretation', 150)->nullable();
            $table->string('glassreportname', 150)->nullable();
            $table->integer('orderid')->nullable();
            $table->boolean('printrow')->nullable();
            $table->boolean('printcol')->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('rekapantibiotik');
    }
};
